// Set the iframe_path attribute for iframe node and its children

({ iframe_path }) => {
  function set_iframe_path(node) {
    if (!node) {
      return;
    }

    let currentChildNodes = node.childNodes;

    if (iframe_path) {
      node.setAttribute('iframe_path', iframe_path);
    }

    const childNodes = Array.from(currentChildNodes).filter((childNode) => {
      return (
        childNode.nodeType === Node.ELEMENT_NODE ||
        (childNode.nodeType === Node.TEXT_NODE && childNode.textContent.trim() !== '')
      );
    });
    for (let i = 0; i < childNodes.length; i++) {
      let childNode = childNodes[i];

      if (childNode.nodeType === Node.ELEMENT_NODE) {
        set_iframe_path(childNode);
      }
    }
  }
  set_iframe_path(document.documentElement);
};
